Subject: (urth) DOORS: Anchises

From: Roy C. Lackey <rclackey at stic.net>
Date: Thu, 23 Jan 2003 07:46:34 +0000

Speaking of Aeneas . . .

The name of the hospital where Klamm took Green to get patched up was "St.
Anchises's". (303) Aphrodite's mortal lover was struck down (lamed or
blinded) by Zeus for having boasted (when he was drunk) of lying with the
goddess. She lost interest in Anchises after that. Was Klamm trying to send
Green a message? Was that why Klamm had tears in his eyes when he dropped
Green off there?

Along the same lines . . . When Green pursued Lara back to the Otherworld,
he passed a church in session. (282) It had stained-glass windows, one of
which showed Lara "with a spear in one hand, a mirror in the other". The
mirror I understand, but I don't associate a spear with Aphrodite--that's
more like Athene, but she wouldn't take a lover.

-Roy

--